package com.heyu.api.data.service.impl.device;
/**
* <p>
* 闹钟音乐表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.device.DeviceAlarmClockMusicDao;
import com.heyu.api.data.entity.device.DeviceAlarmClockMusicEntity;
import com.heyu.api.data.service.device.DeviceAlarmClockMusicService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class DeviceAlarmClockMusicServiceImpl extends ServiceImpl<DeviceAlarmClockMusicDao, DeviceAlarmClockMusicEntity> implements DeviceAlarmClockMusicService {


    @Autowired
	private DeviceAlarmClockMusicDao deviceAlarmClockMusicDao;



	@Override
	public DeviceAlarmClockMusicEntity selectDeviceAlarmClockMusicById(Long id){
		return deviceAlarmClockMusicDao.selectDeviceAlarmClockMusicById(id);
	}



	@Override
	public Long insertDeviceAlarmClockMusic(DeviceAlarmClockMusicEntity deviceAlarmClockMusic){
		return deviceAlarmClockMusicDao.insertDeviceAlarmClockMusic(deviceAlarmClockMusic);
	}



	@Override
	public Long insertOrUpdateDeviceAlarmClockMusic(DeviceAlarmClockMusicEntity deviceAlarmClockMusic){
		return deviceAlarmClockMusicDao.insertOrUpdateDeviceAlarmClockMusic(deviceAlarmClockMusic);
	}



	@Override
	public int updateDeviceAlarmClockMusicById(DeviceAlarmClockMusicEntity deviceAlarmClockMusic){
		return deviceAlarmClockMusicDao.updateDeviceAlarmClockMusicById(deviceAlarmClockMusic);
	}



	@Override
	public int updateCoverDeviceAlarmClockMusicById(DeviceAlarmClockMusicEntity deviceAlarmClockMusic){
		return deviceAlarmClockMusicDao.updateCoverDeviceAlarmClockMusicById(deviceAlarmClockMusic);
	}



	@Override
	public int deleteDeviceAlarmClockMusicById(Long id){
		return deviceAlarmClockMusicDao.deleteDeviceAlarmClockMusicById(id);
	}



}
